package cn.com.qmth.stmms.biz.exam.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.Marker;

public class MarkerSearchQuery extends BaseQuery<Marker> {

    private int id;

    private int examId;

    private String subjectCode;

    private String loginName;

    private String name;

    private String topCount;

    public void orderByLoginName() {
        setSort(new Sort(Direction.ASC, "loginName"));
    }

    public void orderById() {
        setSort(new Sort(Direction.ASC, "id"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTopCount() {
        return topCount;
    }

    public void setTopCount(String topCount) {
        this.topCount = topCount;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
}
